Name:           docker-compose
Version:        1.14.0
Release:        %mkrel 1
Summary:        Multi-container orchestration for Docker
Group:          System/Configuration
License:        ASL 2.0
URL:            https://www.docker.com/
Source0:        https://files.pythonhosted.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(docker)
BuildRequires:  pythonegg(2)(websocket-client)
BuildRequires:  pythonegg(2)(texttable)
BuildRequires:  pythonegg(2)(requests)
BuildRequires:  pythonegg(2)(pyyaml)
BuildRequires:  pythonegg(2)(docopt)

Requires:       pythonegg(2)(repoze.lru)
Requires:       pythonegg(2)(texttable)
Requires:       pythonegg(2)(setuptools)

# docker-compose is compatible with fig and is a simple rename.
Provides:       fig = %{version}-%{release}
Obsoletes:      fig < 1.0.0-4

%description
Multi-container orchestration for Docker

Docker-compose allows you to:
- Define your application's environment with Docker so it can be reproduced
  anywhere.
- Define the services that make up your app so they can be run together in an
  isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your entire
  app.

%prep
%setup -q -n %{name}-%{version}

# Drop bundled egg-info
rm -rf docker_compose.egg-info/

# Remove dependency version constraints not relevant
sed -e 's/, < [0-9.]\+//' -i setup.py

%build
%py2_build

%install
%py2_install

%files
%doc CHANGES.md CONTRIBUTING.md README.rst SWARM.md
%license LICENSE
%{_bindir}/%{name}
# Upstream uses an underscore here
%{python2_sitelib}/docker_compose*
%{python2_sitelib}/compose*


%changelog
* Wed Sep 04 2019 bcornec <bcornec> 1.14.0-1.mga6
+ Revision: 1437131
- Update to upstream 1.14.0 to fix deps issues with recent pyyaml

* Fri Jun 02 2017 bcornec <bcornec> 1.13.0-2.mga6
+ Revision: 1105763
- Change dependency from python-docker-py to the new python-docker replacing it

* Thu May 11 2017 bcornec <bcornec> 1.13.0-1.mga6
+ Revision: 1100154
- update to upstream 0.13.0 docker-compose

* Thu Nov 24 2016 bcornec <bcornec> 1.9.0-1.mga6
+ Revision: 1069586
- update to upstream docker-compose 1.9.0
- Upate to upstream 1.9.0

* Mon May 23 2016 bcornec <bcornec> 1.7.1-3.mga6
+ Revision: 1018026
- Remove inexistant tests
- docker isn't restricted to x86_64 so is this one as well

* Mon May 23 2016 bcornec <bcornec> 1.7.1-2.mga6
+ Revision: 1017979
- docker-compose is only available on x86_64 as docker
- Fix group
- import docker-compose, based on a Fedora spec file
- Created package structure for docker-compose.

